# Create_Certificate

Create a certificate.

`POST /v2/certificates`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/x-www-form-urlencoded`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/Create_Certificate/

## Description

Minimum Fields Required To Create A Certificate:filenameORpdf (urlencoded base64 pdf)ORpages (an array of urlencoded base64 images.)ANDexposure_zoneSubmitting A New Certificate To A Stack:
       If you wish to submit a created certificate to a stack, simply add the below value to your post request and it will appear in Data Entry.submit_to_stack=true

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `filename` | string | formData | No | The certificate file name that was uploaded. |
| `signed_date` | string | formData | No | Date of when the record was signed. |
| `expiration_date` | string | formData | No | Date of when the record expires. |
| `tax_number` | string | formData | No | The tax number for the certificate. |
| `tax_number_type` | string | formData | No | The type of tax number being provided. |
| `valid` | boolean | formData | No | Designates if a certificate is valid. |
| `is_single` | boolean | formData | No | Designates if certificate is single. |
| `exposure_zone` | array | formData | No | The exposure zone that the certificate covers. |
| `expected_tax_code` | array | formData | No | The expected tax code of the certificate. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertificateResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CertificateResource`

CertCapture certificate resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | CertificateResponse[] | No | Data wrapper |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/certificates" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Accept: application/json"
```